Package org.eclipse.e4.ui.css.core.sac

# Interface ExtendedDocumentHandler

All Superinterfaces:
  `org.w3c.css.sac.DocumentHandler`

All Known Implementing Classes:
  `CSSDocumentHandlerImpl`

public interface ExtendedDocumentHandler extends org.w3c.css.sac.DocumentHandler
Extends `DocumentHandler` to get the root node.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getNodeRoot()`
Return root node.
`void`
`setNodeStack(Stack<Object> statck)`
Set node stack.

### Methods inherited from interface org.w3c.css.sac.DocumentHandler

`comment, endDocument, endFontFace, endMedia, endPage, endSelector, ignorableAtRule, importStyle, namespaceDeclaration, property, startDocument, startFontFace, startMedia, startPage, startSelector`

## Method Details

### getNodeRoot

Object getNodeRoot()
Return root node.

### setNodeStack

void setNodeStack(Stack<Object> statck)
Set node stack.